/**
 * FindKey by key string
 *
 * can use dot notation for deep nested value
 *
 * eg:
 *
 * ```ts
 *import NOM from 'nested-object-mutator'
 *
 * const source = {
 *  a: 1,
 *  b: {
 *    c: 2
 *  }
 *}
 *
 * const result = NOM.getByKey(source, "a.b.c", ".")
 *
 * The result is `2`. return null if not exists.
 *```
 *
 * @param source {object}
 * @param target {string} target key.
 * @param delimiter {string} default delimiter is `.`
 * @returns true if exist
 */
declare function getByKey(source: object, target: string, delimiter?: string): any;
export { getByKey };
